// DeltaSpace.cpp : implementation file
//

#include "stdafx.h"
#include "fontedit.h"
#include "DeltaSpace.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDeltaSpace dialog


CDeltaSpace::CDeltaSpace(CWnd* pParent /*=NULL*/)
	: CDialog(CDeltaSpace::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDeltaSpace)
	m_A = _T("");
	m_C = _T("");
	//}}AFX_DATA_INIT
}


void CDeltaSpace::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDeltaSpace)
	DDX_Text(pDX, IDC_DELTA_A, m_A);
	DDX_Text(pDX, IDC_DELTA_C, m_C);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDeltaSpace, CDialog)
	//{{AFX_MSG_MAP(CDeltaSpace)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDeltaSpace message handlers

BOOL CDeltaSpace::OnInitDialog() 
{
	m_DeltaA = 0;
	m_DeltaC = 0;
	m_A = "0";
	m_C = "0";
	UpdateData(FALSE);
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDeltaSpace::OnOK() 
{
	// TODO: Add extra validation here
	
	UpdateData(TRUE);
	m_DeltaA = atoi(m_A);
	m_DeltaC = atoi(m_C);
	CDialog::OnOK();
}

void CDeltaSpace::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}
